Member Nodes - Task #3220
MNDeployment # 3219 (New): iEcolab member node

contact iEcolab to determine possible MN role
2012-09-05 03:37 - Dave Vieglais

Status: In Progress Start date: 2012-09-05
Priority: Normal Due date:

Assignee: Ben Leinfelder % Done: 30%
Category: Estimated time: 0.00 hour

Target version:

Story Points:

Description

During the Aug 2012 CCIT meeting it was determined that this possible MN was an early candidate for deployment.

This task is to track the initial communications for evaluation.

History

#1 - 2012-09-05 17:22 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

#2 - 2012-09-07 23:03 - Ben Leinfelder

- Status changed from New to In Progress

I've been in contact with them and they are planning on upgrading their Metacat deployment to become a MN. Francisco is meeting with Mark and Bill
at the ASM LTER meeting next week and wants to be involved in ILTER.

#3 - 2013-01-30 20:17 - Matthew Jones
- Target version set to Deploy by end of Y5Q2

#4 - 2013-08-05 17:08 - Ben Leinfelder

Primary iEcolab contacts:
Francisco Javier Bonet Garcia fjbonet@gmail.com
Ramén Pérez Pérez ramon.pperez@gmail.com

#5 - 2013-08-14 18:19 - Ben Leinfelder
Sent 08/14/2013

Hi Ramoén,
That's good to hear. Since you are already running a Metacat server, it should be quite easy for you to contribute to DataONE as a Member Node.
You can start at the "Deploy" stage as outlined in our checklist:

http://mule1.dataone.org/OperationDocs/member_node_deployment/mn_checklist.html
If you have a test environment, that's great, but it's not required.

Looking at the server you currently have set up, | think it would be good to upgrade Metacat to at least v2.0.8. We recently released v2.1.0 which
includes a new SOLR-based search mechanism that you might wish to take advantage of, though our default skins are not yet using it.

| also notice that your SSL certificate is self-signed and expired earlier this year. DataONE can issue you a server certificate if you wish, though we
recommend that your institution procure a server certificate issued by a well-known Certificate Authority if at all possible. Let me know if you'd like us
to issue a DataONE server certificate for "metacat.iecolab.es" and I'll get the going.

We also assign unique Node Ids to our Member Nodes yours will likely be: "urn:node:IECOLAB" unless you feel strongly that it should be something
else. DataONE will issue you a client certificate (different from the server certificate | referenced above) that can be used to uniquely identify any
requests your Member Node makes to the Coordinating Node. The location of this client certificate is configured in the Metacat admin interface. The
Metacat documentation has a DataONE section that describes the configuration steps needed to fully configure Metacat as a Member Node (

2024-03-13 1/2



mailto:fjbonet@gmail.com
mailto:ramon.pperez@gmail.com
http://mule1.dataone.org/OperationDocs/member_node_deployment/mn_checklist.html

http://knb.ecoinformatics.org/knb/docs/dataone.html).

That's probably a lot of information to take in, but please don't hesitate to send me questions as you work through the upgrade and configuration
steps.

Thank you,

-ben

#6 - 2013-10-01 17:53 - Bruce Wilson
- Target version deleted (Deploy by end of Y5Q2)
